Bug 1572353 - FedRAMP requires cloud providers to use TLS v1.1 as a minimum
Summary: FedRAMP requires cloud providers to use TLS v1.1 as a minimum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: RHOS Maint
QA Contact: pkomarov
URL:
Whiteboard:
Depends On: 1553273
Blocks: 1572355
TreeView+ depends on / blocked
 
Reported: 2018-04-26 19:21 UTC by Harry Rybacki
Modified: 2018-09-17 13:15 UTC (History)
17 users (show)

Fixed In Version: puppet-tripleo-7.4.8-8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553273
: 1572355 (view as bug list)
Environment:
Last Closed: 2018-08-20 12:59:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1754368 0 None None None 2018-04-26 19:21:05 UTC
OpenStack gerrit 553339 0 'None' 'MERGED' 'Disallow TLS v1.0 from HAProxy' 2019-12-04 04:19:53 UTC
OpenStack gerrit 562961 0 'None' 'MERGED' 'Force stunnel to use TLSv1.2' 2019-12-04 04:19:53 UTC
Red Hat Product Errata RHSA-2018:2331 0 None None None 2018-08-20 13:01:55 UTC

Comment 1 Harry Rybacki 2018-04-26 19:23:02 UTC
Upstream patch merged: https://review.openstack.org/#/c/553339/

Moving bug to POST

Comment 3 Harry Rybacki 2018-04-30 15:29:04 UTC
Downstream reviews have landed. Changes present in puppet-tripleo-7.4.8-8.el7ost

Moving bug to MODIFIED.

Comment 10 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.